package com.sztzjy.resource_center.entity.admin;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author xcj
 * @Date 2024/7/16
 */
@Data
public class AdminCaseReturnDto {
    private String id;

    @ApiModelProperty("数据名称")
    private String name;

    @ApiModelProperty("标签表ID")
    private String labelId;

    @ApiModelProperty("图片地址")
    private String pictureUrl;

    @ApiModelProperty("0下架 1上架")
    private Integer status;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("目录")
    private String catalog;

    @ApiModelProperty("来源")
    private String source;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    @ApiModelProperty("标签集")
    private List<AdminDataLabel> adminDataLabels;

    @ApiModelProperty("文件集")
    private List<AdminFile> adminFiles;
}
