package com.sztzjy.resource_center.mapper;

import com.sztzjy.resource_center.entity.SysObjectiveQuestions;
import com.sztzjy.resource_center.entity.SysObjectiveQuestionsExample;
import com.sztzjy.resource_center.entity.dto.SysObjectiveQuestionsDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface SysObjectiveQuestionsMapper {
    long countByExample(SysObjectiveQuestionsExample example);

    int deleteByExample(SysObjectiveQuestionsExample example);

    int deleteByPrimaryKey(String objectiveId);

    int insert(SysObjectiveQuestions record);

    int insertSelective(SysObjectiveQuestions record);

    List<SysObjectiveQuestions> selectByExample(SysObjectiveQuestionsExample example);

    SysObjectiveQuestions selectByPrimaryKey(String objectiveId);

    int updateByExampleSelective(@Param("record") SysObjectiveQuestions record, @Param("example") SysObjectiveQuestionsExample example);

    int updateByExample(@Param("record") SysObjectiveQuestions record, @Param("example") SysObjectiveQuestionsExample example);

    int updateByPrimaryKeySelective(SysObjectiveQuestions record);

    int updateByPrimaryKey(SysObjectiveQuestions record);

    List<SysObjectiveQuestionsDto> selectTopicByConditions(@Param("oneID") String oneID,
                                                           @Param("twoID") String twoID,
                                                           @Param("threeID") String threeID,
                                                           @Param("type") String type,
                                                           @Param("content") String content);

    int insertBatch(@Param("objectiveQuestionList") List<SysObjectiveQuestions> objectiveQuestionList);

    List<SysObjectiveQuestionsDto> getTopicByConfig(@Param("oneID") String oneID,
                                                    @Param("twoID") String twoID,
                                                    @Param("threeID") String threeID,
                                                    @Param("type") String type,
                                                    @Param("schoolId") String schoolId,
                                                    @Param("content") String content
    );

    void batchDelete(@Param("list") List<String> ids);


    Map<String, BigDecimal> getChooseObjCountAndSorce(@Param("list") List<String> objectIdList);

    List<SysObjectiveQuestionsDto> selectObjByType(@Param("type") String type,@Param("schoolId") String schoolId);
}