package com.sztzjy.resource_center.mapper;

import com.sztzjy.resource_center.entity.SysResourceAndCourse;
import com.sztzjy.resource_center.entity.SysResourceAndCourseExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysResourceAndCourseMapper {
    long countByExample(SysResourceAndCourseExample example);

    int deleteByExample(SysResourceAndCourseExample example);

    int deleteByPrimaryKey(String id);

    int insert(SysResourceAndCourse record);

    int insertSelective(SysResourceAndCourse record);

    List<SysResourceAndCourse> selectByExample(SysResourceAndCourseExample example);

    SysResourceAndCourse selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") SysResourceAndCourse record, @Param("example") SysResourceAndCourseExample example);

    int updateByExample(@Param("record") SysResourceAndCourse record, @Param("example") SysResourceAndCourseExample example);

    int updateByPrimaryKeySelective(SysResourceAndCourse record);

    int updateByPrimaryKey(SysResourceAndCourse record);

    void batchDeleteByIds(@Param("idList") List<String> idList);

    List<String> selectResourceId(@Param("oneID") String oneID,
                                  @Param("twoID") String twoID,
                                  @Param("threeID") String threeID);

    void batchInsert(@Param("resourceAndCourses") List<SysResourceAndCourse> resourceAndCourses);

    void batchUpdateTwoName(@Param("idList") List<String> ids, @Param("twoName") String twoName);

    void batchUpdateThreeName(@Param("idList") List<String> ids, @Param("threeName") String threeName);
}