package com.sztzjy.resource_center.entity.admin;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Author xcj
 * @Date 2024/7/16
 */
@Data
public class AdminDataReturnDto {
    @ApiModelProperty("数据表ID")
    private String dataId;

    @ApiModelProperty("数据名称")
    private String name;

    @ApiModelProperty("图片名称")
    private String pictureUrl;

    @ApiModelProperty("0下架，1上架")
    private Integer status;

    @ApiModelProperty("管理员/学校ID")
    private String source;

    @ApiModelProperty("数据应用场景")
    private String dataScenarios;

    @ApiModelProperty("收藏ID")
    private String collectId;

    @ApiModelProperty("字段描述")
    private String fieldDescription;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    @ApiModelProperty("标签集")
    private List<AdminDataLabel> adminDataLabels;

    @ApiModelProperty("文件集")
    private List<AdminFile> adminFiles;

}
