package com.sztzjy.resource_center.mapper;

import com.sztzjy.resource_center.entity.SysTopicAndCourse;
import com.sztzjy.resource_center.entity.SysTopicAndCourseExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface SysTopicAndCourseMapper {
    long countByExample(SysTopicAndCourseExample example);

    int deleteByExample(SysTopicAndCourseExample example);

    int deleteByPrimaryKey(String id);

    int insert(SysTopicAndCourse record);

    int insertSelective(SysTopicAndCourse record);

    List<SysTopicAndCourse> selectByExample(SysTopicAndCourseExample example);

    SysTopicAndCourse selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") SysTopicAndCourse record, @Param("example") SysTopicAndCourseExample example);

    int updateByExample(@Param("record") SysTopicAndCourse record, @Param("example") SysTopicAndCourseExample example);

    int updateByPrimaryKeySelective(SysTopicAndCourse record);

    int updateByPrimaryKey(SysTopicAndCourse record);

    void batchInsert(@Param("list") List<SysTopicAndCourse> list);

    void batchDelete(@Param("list") List<SysTopicAndCourse> sysTopicAndCourses);

    void batchUpdateTwoName(@Param("idList") List<String> ids,
                            @Param("twoName") String twoName);

    void batchUpdateThreeName(@Param("idList") List<String> ids,
                              @Param("threeName") String threeName);

    @Select("select sq.case_id from sys_topic_and_course sc LEFT JOIN sys_case_questions sq on sc.topic_id = sq.case_id where sq.source = '管理员' and sc.one_id = #{oneId}")
    List<String> getCaseIdsBySourceIsAdmin(@Param("oneId") String oneId);

    List<Map<String, Object>> selectCaseIdByCourseAndChapterIds(@Param("courseIdList") List<String> courseIdList, @Param("chapterIdList") List<String> chapterIdList);
}