package com.sztzjy.resource_center.mapper.admin;

import com.sztzjy.resource_center.entity.admin.AdminCase;
import com.sztzjy.resource_center.entity.admin.AdminCaseExample;
import com.sztzjy.resource_center.entity.admin.AdminCaseReturnDto;
import com.sztzjy.resource_center.entity.admin.AdminCaseWithBLOBs;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AdminCaseMapper {
    long countByExample(AdminCaseExample example);

    int deleteByExample(AdminCaseExample example);

    int deleteByPrimaryKey(String id);

    int insert(AdminCaseWithBLOBs record);

    int insertSelective(AdminCaseWithBLOBs record);

    List<AdminCaseWithBLOBs> selectByExampleWithBLOBs(AdminCaseExample example);

    List<AdminCase> selectByExample(AdminCaseExample example);

    AdminCaseWithBLOBs selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") AdminCaseWithBLOBs record, @Param("example") AdminCaseExample example);

    int updateByExampleWithBLOBs(@Param("record") AdminCaseWithBLOBs record, @Param("example") AdminCaseExample example);

    int updateByExample(@Param("record") AdminCase record, @Param("example") AdminCaseExample example);

    int updateByPrimaryKeySelective(AdminCaseWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(AdminCaseWithBLOBs record);

    int updateByPrimaryKey(AdminCase record);

    List<AdminCaseReturnDto> selectByConditionsByStu(@Param("keyWord") String keyWord,
                                                     @Param("source") String source,
                                                     @Param("userId") String userId,
                                                     @Param("labelName") List<String> list);

    List<AdminCaseReturnDto> selectByConditions(@Param("keyWord") String keyWord,
                                                @Param("source") String source,
                                                @Param("labelName") List<String> list);

}