package com.sztzjy.resource_center.mapper.admin;

import com.sztzjy.resource_center.entity.admin.AdminData;
import com.sztzjy.resource_center.entity.admin.AdminDataExample;
import com.sztzjy.resource_center.entity.admin.AdminDataReturnDto;
import com.sztzjy.resource_center.entity.admin.AdminDataWithBLOBs;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AdminDataMapper {
    long countByExample(AdminDataExample example);

    int deleteByExample(AdminDataExample example);

    int deleteByPrimaryKey(String dataId);

    int insert(AdminDataWithBLOBs record);

    int insertSelective(AdminDataWithBLOBs record);

    List<AdminDataWithBLOBs> selectByExampleWithBLOBs(AdminDataExample example);

    List<AdminData> selectByExample(AdminDataExample example);

    AdminDataWithBLOBs selectByPrimaryKey(String dataId);

    int updateByExampleSelective(@Param("record") AdminDataWithBLOBs record, @Param("example") AdminDataExample example);

    int updateByExampleWithBLOBs(@Param("record") AdminDataWithBLOBs record, @Param("example") AdminDataExample example);

    int updateByExample(@Param("record") AdminData record, @Param("example") AdminDataExample example);

    int updateByPrimaryKeySelective(AdminDataWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(AdminDataWithBLOBs record);

    int updateByPrimaryKey(AdminData record);

    List<AdminDataReturnDto> selectByConditions(@Param("keyWord") String keyWord,
                                                @Param("type") String type,
                                                @Param("labelName") String labelName);

    List<AdminDataReturnDto> selectByConditionsBySchoolId(@Param("keyWord") String keyWord,
                                                          @Param("source") String source,
                                                          @Param("userId") String userId,
                                                          @Param("labelName") String labelName);
}